{% load url_link %}
{% load define %}
{% load contains_assay %}
{% load guardian_tags %}
{% load has_access_url %}
{% load get_item %}


<ul style="padding-left: 2rem; list-style-type: none;">
    <li>
    {% for investigation in items|get_item:"investigations" %}
        <div class="row no-gutters">
            <div class="col-sm-7">
                <div class="btn-group">
                    <h5><a data-toggle="collapse" href="#investigation_{{ investigation|get_item:"id" }}" aria-expanded="false"><i
                                class="fa fa-plus pull-right"></i><i class="fa fa-minus pull-right"></i>
                        </a>&nbsp;<i class="fas fa-feather"></i>&nbsp;<a
                            href="{% url 'core:edit-investigation' project_id=project.id investigation_id=investigation|get_item:"id" %}">{{investigation|get_item:"name"|truncatechars:40}}</a>&nbsp;
                        {% for mappings in investigation|get_item:"mappings" %}
                        {% if mappings|get_item:"url" %}
                        <a class="btn-xs btn rounded btn-outline-dark" role=button href="{{ mappings|get_item:"url" }}"
                            target="_blank">{{mappings|get_item:"tool"|lower}}</a>
                        {% else %}
                        <a class="btn-xs btn rounded btn-outline-dark" role=button>{{mappings|get_item:"tool"|lower}}</a>
                        {% endif %}
                        {% endfor %}
                        {% if "change_project" in perms %}
                        <a class="btn btn-outline-primary  btn-sm"
                        href="{% url 'core:add-study' project.id investigation|get_item:"id" %}"><i class="fas fa-plus"></i></a>
                        {% endif %}
                        {% if "change_project" in perms %}
                        <a class="btn btn-outline-dark btn-sm"
                            href='{% url 'core:delete' project_id=project.id investigation_id=investigation|get_item:"id" data_type="investigation" pk=investigation|get_item:"id"  %}'><i
                                class="fas fa-trash-alt" aria-hidden="true"></i></a>
                        {% else %}
                        <div class="disabled-button-wrapper" data-toggle="popover" data-trigger="hover"
                            data-placement="right" title="Action not available" data-container="body" data-html="true"
                            data-content="You don't have sufficient permissions to  <br/> <strong>delete investigation</strong>.">
                            <button class="btn btn-outline-dark btn-sm" type="button" disabled><i class="fas fa-delete"
                                    aria-hidden="true"></i></button>
                        </div>
                        {% endif %}    
                    </h5>
                </div>
            </div>
        </div>
        <ul style="padding-left: 0rem;" id="investigation_{{investigation|get_item:"id"}}" class="collapse hide">
            <ul style="padding-left: 2rem; list-style-type: none;">
            {% with investigation_id=investigation|get_item:"id" %}
            {% for studies in investigation|get_item:"studies" %}
            <li>
            <div class="tree">
                
                    <div class="row">
                        <div class="col-sm-12">
                            <h5><a data-toggle="collapse" href="#study_{{studies|get_item:"id"}}" aria-expanded="false"><i
                                        class="fa fa-plus pull-right"></i><i class="fa fa-minus pull-right"></i>
                                </a>&nbsp;<i class="fa fa-folder folder"></i>&nbsp;<a
                                    href="{% url 'core:edit-study' project_id=project.id investigation_id=investigation_id study_id=studies|get_item:"id" %}">{{studies|get_item:"name"|truncatechars:40}}</a>&nbsp;
        
                                {% for mappings in studies|get_item:"mappings" %}
                                {% if mappings|get_item:"url" %}
                                <a class="btn-xs btn rounded btn-outline-dark" role=button href="{{mappings|get_item:"url"}}"
                                    target="_blank">{{mappings|get_item:"tool"|lower}}</a>
                                {% else %}
                                <a class="btn-xs btn rounded btn-outline-dark" role=button>{{mappings|get_item:"tool"|lower}}</a>
                                {% endif %}
                                {% endfor %}
                                {% if "change_project" in perms %}
                                <a class="btn btn-outline-primary  btn-sm"
                                href="{% url 'core:add-assay' project.id investigation_id studies|get_item:"id" %}"><i class="fas fa-plus"></i></a>
                                {% endif %}
                                {% if "change_project" in perms %}
                                <a class="btn-sm btn rounded btn-outline-dark " role=button
                                    href='{% url 'core:delete' project_id=project.id investigation_id=investigation_id data_type="study" pk=studies|get_item:"id"  %}'><i
                                        class="fas fa-trash-alt" aria-hidden="true"></i></a>
                                {% else %}
                                <div class="disabled-button-wrapper" data-toggle="popover" data-trigger="hover"
                                    data-placement="right" title="Action not available" data-container="body" data-html="true"
                                    data-content="You don't have sufficient permissions to  <br/> <strong>delete study</strong>.">
                                    <button class="btn-sm btn rounded btn-outline-dark " type="button" disabled><i
                                            class="fas fa-trash-alt" aria-hidden="true"></i></button>
                                </div>
                                {% endif %}
                            </h5>
                        </div>
                    </div>
                
                <ul style="padding-left: 0rem;" id="study_{{studies|get_item:"id"}}" class="collapse hide">
                    <ul style="padding-left: 2rem; list-style-type: none;">
                        {% for assay in studies|get_item:"assays" %}
                            <li>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <h5><a data-toggle="collapse" href="#assay_{{assay|get_item:"id"}}" aria-expanded="false"><i
                                                    class="fa fa-plus pull-right"></i><i class="fa fa-minus pull-right"></i>
                                            </a>&nbsp;<i class="fa fa-flask experiment"></i>&nbsp;<a
                                                href="{% url 'core:edit-assay' project_id=project.id investigation_id=investigation_id assay_id=assay|get_item:"id" %}">{{assay|get_item:"name"|truncatechars:40}}</a>&nbsp;
                    
                    
                                            {% for mappings in assay|get_item:"mappings" %}
                                            {% if mappings|get_item:"url" %}
                                            <a class="btn btn-outline-dark btn-xs rounded" class="btn-sm btn rounded" role=button
                                                href="{{mappings|get_item:"url"}}" target="_blank">{{mappings|get_item:"tool"|lower}}</a>
                                            {% else %}
                                            <a class="btn-xs btn rounded btn-outline-dark" role=button>{{mappings|get_item:"tool"|lower}}</a>
                                            {% endif %}
                                            {% endfor %}
                                            {% if "change_project" in perms %}
                                            <a class="btn btn-outline-primary  btn-sm"
                                            href="{% url 'core:add-data' project.id investigation_id assay|get_item:"id" %}"><i class="fas fa-plus"></i></a>
                                            {% endif %}
                                            {% if "change_project" in perms %}
                                            <a class="btn btn-outline-dark btn-sm rounded"
                                                href='{% url 'core:delete' project_id=project.id investigation_id=investigation_id data_type="assay" pk=assay|get_item:"id"  %}'><i
                                                    class="fas fa-trash-alt" aria-hidden="true"></i></a>
                                            {% else %}
                                            <div class="disabled-button-wrapper" data-toggle="popover" data-trigger="hover"
                                                data-placement="right" title="Action not available" data-container="body" data-html="true"
                                                data-content="You don't have sufficient permissions to  <br/> <strong>delete this assay</strong>.">
                                                <button class="btn btn-outline-dark btn-sm rounded " type="button" disabled><i
                                                        class="fas fa-trash-alt" aria-hidden="true"></i></button>
                                            </div>
                                            {% endif %}
                                        </h5>
                                    </div>
                                </div>
                            
                                    <ul style="padding-left: 0rem;" id="assay_{{assay|get_item:"id"}}" class="collapse hide">
                                        <ul style="padding-left: 2rem; list-style-type: none;">
                                        {% for data in assay|get_item:"datas" %}
                                            <li>
                                                <h5><i class="fa fa-database image"></i>&nbsp;<a
                                                    href="{% url 'core:edit-data' project_id=project.id investigation_id=investigation_id data_id=data|get_item:"id" %}">{{data|get_item:"name"|truncatechars:40}}</a>&nbsp;
                                
                                                {% for mappings in data|get_item:"mappings" %}
                                                {% if mappings|get_item:"url" %}
                                                <a class="btn btn-outline-dark btn-xs rounded" role=button href="{{mappings|get_item:"url"}}"
                                                    target="_blank">{{mappings|get_item:"tool"|lower}}</a>
                                                {% else %}
                                                <a class="btn-xs btn rounded btn-outline-dark" role=button>{{mappings|get_item:"tool"|lower}}</a>
                                                {% endif %}
                                                {% endfor %}
                                
                                                {% if "change_project" in perms %}
                                                <a class="btn btn-outline-dark btn-sm rounded"
                                                    href='{% url 'core:delete' project_id=project.id investigation_id=investigation_id data_type="data" pk=data|get_item:"id"  %}'><i
                                                        class="fas fa-trash-alt" aria-hidden="true"></i></a>
                                                {% else %}
                                                <div class="disabled-button-wrapper" data-toggle="popover" data-trigger="hover" data-placement="right"
                                                    title="Action not available" data-container="body" data-html="true"
                                                    data-content="You don't have sufficient permissions to  <br/> <strong>delete this data</strong>.">
                                                    <button class="btn btn-outline-dark btn-sm rounded" type="button" disabled><i
                                                            class="fas fa-trash-alt" aria-hidden="true"></i></button>
                                                </div>
                                                {% endif %}
                                                </h5>
                                            </li>
                                        {% endfor %}
                                        </ul>
                                    </ul>
                                </li>                
                        {% endfor %}
                    </ul>
                </ul>
            </div>
        </li>
            {% endfor %}
            {% endwith %}
            </ul>
        </ul>

    {% comment %} </div> {% endcomment %}
    
    {% endfor %}
    </li>
</ul>